=== debian/changelog ===
latex2html (2002-2-1+jp+dennou-2) unstable; urgency=low

  * Patch for D6prog.pl. is applied.

 -- Odaka Masatsugu <odakker@gfd-dennou.org>  Tue,  5 Apr 2005 18:58:37 +0900

latex2html (2002-2-1+jp+dennou-1) unstable; urgency=low

  * Japanese patch l2h-2002-2-1+jp1.8.patch.gz is applied.
  * Style files for Dennou.sty, Dennou6.sty are added.

 -- SUGIYAMA Ko-ichiro <sugiyama@gfd-dennou.org>  Mon,  4 Oct 2004 11:56:09 +0900
