=== debian/control ===
Source: latex2html
Section: tex
Priority: optional
Maintainer: SUGIYAMA Ko-ichiro <sugiyama@gfd-dennou.org>
Standards-Version: 2002-2-1
Build-Depends: debmake

Package: latex2html
Architecture: all
Depends: perl, netpbm (>= 2:9.20), gs, tetex-bin (>= 1.0.7+20001218), tetex-extra
Description:LaTeX to HTML translator (with JP patch).
 This package is a LATEX2HTML with some extensions for Japanese, Dennou.sty
 and Dennou6.sty.
