## latex2html 2008-debian1

=== debian/changelog ===
latex2html (2008-debian1-5) unstable; urgency=low

  * Fixed download location in debian/copyright, thanks to Adrian Bunk
    (Closes: #591047)
  * debian/control: Standards-Version: 3.9.1
  * Added debian/watch
  * Added lintian override to state that repackaged version is just an
    exception

 -- Roland Stigge <stigge@antcom.de>  Sat, 31 Jul 2010 19:29:44 +0200

latex2html (2008-debian1-4) unstable; urgency=low

  * Added eurosym support, thanks to Jorgen Schaefer <forcer@debian.org>
    (Closes: #163479)
  * Added README.Debian to document the hyperref package being
    missing-by-design (Closes: #542096)
  * Added patch to replace multiline matching option $* with "m" option on
    matching because latest perl gave warnings on latex2html startup

 -- Roland Stigge <stigge@antcom.de>  Sat, 24 Jul 2010 19:09:16 +0200

latex2html (2008-debian1-3) unstable; urgency=low

  * Removed url.sty from binary package (Closes: #589702)
  * Separated patches in debian/patches/

 -- Roland Stigge <stigge@antcom.de>  Wed, 21 Jul 2010 20:49:47 +0200

latex2html (2008-debian1-2) unstable; urgency=low

  * Moved to new source format 3.0 (quilt), separated and documented patches
  * debian/control: Standards-Version: 3.9.0
  * Added pstoimg.1 via pod2man
  * Added patch to pod2man to fix gray background detection in pstoimg, thanks
    to Diab Jerius <djerius@cfa.harvard.edu> (Closes: #291420)
  * Added patch to support spaces in filenames, thanks to Mazen NEIFER
    <mazen.neifer@wanadoo.fr> (Closes: #234879)

 -- Roland Stigge <stigge@antcom.de>  Sun, 18 Jul 2010 18:48:39 +0200

latex2html (2008-debian1-1) unstable; urgency=low

  * Repackaged upstream: Upstream Ross Moore <ross@ics.mq.edu.au> didn't make a
    new release but instructed me how to remove certain files so that we can
    comply with Debian licensing standards:
    - Removed cweb2html/
    - Removed docs/changebar*
  * debian/control:
    - Moved to main
    - Standards-Version: 3.8.3
    - Depends and Build-Depends: texlive-latex-extra (for changebar.sty)

 -- Roland Stigge <stigge@antcom.de>  Sun, 17 Jan 2010 15:49:40 +0100

latex2html (2008-3) unstable; urgency=low

  * Extended debian/copyright to address ftpmaster's licensing concerns

 -- Roland Stigge <stigge@antcom.de>  Sun, 17 Jan 2010 15:24:20 +0100

latex2html (2008-2) unstable; urgency=low

  * New build environment includes pstoimg (Closes: #540310)
  * Also, @IMAGE_TYPES is set to "png,gif" now (Closes: #540197)

 -- Roland Stigge <stigge@antcom.de>  Mon, 10 Aug 2009 21:56:41 +0200

latex2html (2008-1) unstable; urgency=low

  * New upstream release
    - New version is licensed under GPLv2 (Closes: #221703, #521940)
    - debian/control: Standards-Version: 3.8.2
    - debian/control: Section: tex (moving from non-free)

 -- Roland Stigge <stigge@antcom.de>  Wed, 01 Jul 2009 20:00:11 +0200

latex2html (2002-2-1-20050114-6) unstable; urgency=low

  * versions/math.pl: $mathend_mark = ""; (Closes: #424897)
  * debian/control:
    - Moved from tetex to texlive, removing all references to tetex
      (Closes: #349666)
    - Fixed description ("that that") (Closes: #442521)
    - Standards-Version: 3.7.2
  * latex2html.1: Typo fixes (Closes: #412621)
  * styles/abnt.perl: Added abntex style (Closes: #367114)
  * pstoimg.pin: Prevent pnmtoimg from using rgb.txt (Closes: #368693)

 -- Roland Stigge <stigge@antcom.de>  Wed, 03 Oct 2007 23:02:54 +0200

latex2html (2002-2-1-20050114-5) unstable; urgency=low

  * debian/rules: Moved files from /usr/share/texmf-tetex/ to .../texmf/
    (Closes: #346571)
  * debian/control:
    - Moved from Suggests: to Depends: perl-doc (Closes: #361901)
    - Added dependency alternatives to texlive (Closes: #349666)
    - Added homepage link (Closes: #355714)
  * latex2html.pin: Removed Nikos Drakos' homepage link (Closes: #361901)

 -- Roland Stigge <stigge@antcom.de>  Sun, 16 Apr 2006 14:01:44 +0200

latex2html (2002-2-1-20050114-4) unstable; urgency=low

  * pstoimg.pin: Corrected "Ghostscipt" typos (Closes: #345357)

 -- Roland Stigge <stigge@antcom.de>  Mon,  2 Jan 2006 15:12:02 +0100

latex2html (2002-2-1-20050114-3) unstable; urgency=low

  * debian/{postinst,prerm}: Removed all /usr/doc handling (Closes: #322832)

 -- Roland Stigge <stigge@antcom.de>  Sat, 27 Aug 2005 15:17:47 +0200

latex2html (2002-2-1-20050114-2) unstable; urgency=low

  * Upload of newer upstream version from experimental to sid
  * texinputs/html.sty and config/config.pl: Applied patches for compatibility
    with tetex 3.0 (Closes: #320187)
  * debian/control: Standards-Version: 3.6.2
  * debian/copyright: Updated download location(s)
  * latex2html.1: Fixed groff_man syntax error
  * debian/postinst: Fixed bashism

 -- Roland Stigge <stigge@antcom.de>  Wed, 10 Aug 2005 21:30:34 +0200

latex2html (2002-2-1-20050114-1) experimental; urgency=low

  * New upstream release: Current version from CVS

 -- Roland Stigge <stigge@antcom.de>  Sat, 28 May 2005 10:26:18 +0200

latex2html (2002-2-1-10) unstable; urgency=low

  * Applied patch to enable multiple running instances of pstoimg
    thanks to Holger Ruckdeschel (Closes: #298329)

 -- Roland Stigge <stigge@antcom.de>  Sun, 20 Mar 2005 14:17:32 +0100

latex2html (2002-2-1-9) unstable; urgency=low

  * debian/{postinst,prerm}: Changed "command -v" to "which" (Closes: #292980)

 -- Roland Stigge <stigge@antcom.de>  Sun, 20 Feb 2005 19:10:02 +0100

latex2html (2002-2-1-8) unstable; urgency=low

  * debian/control:
    - Removed references to netpbm-nonfree because ppmtogif is in netpbm now
    - Fixed Description: describing GIF support as disabled (which was wrong),
      thanks to Jonas Meurer (Closes: #269447)

 -- Roland Stigge <stigge@antcom.de>  Wed,  1 Sep 2004 20:37:05 +0200

latex2html (2002-2-1-7) unstable; urgency=low

  * debian/control: Added Depends: tetex-bin (>= 1.0.7+20001218), tetex-extra
    to ensure presence of working dvips (Closes: #245376)
  * debian/copyright: Refined copyright notice

