=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,6 @@
 
 install_file   = /usr/bin/install -p    -o root -g root  -m 644
 install_program= /usr/bin/install -p    -o root -g root  -m 755
-install_game   = /usr/bin/install -p    -o root -g games -m 2755
 make_directory = /usr/bin/install -p -d -o root -g root  -m 755
 
 package = $(shell grep Source debian/control | sed 's/^Source: //')
@@ -38,7 +37,7 @@
 BINDIR      := $(PREFIX)/bin
 LIBDIR      := $(PREFIX)/share/latex2html
 ICONPATH    := $(PREFIX)/share/latex2html/icons
-ICONSTORAGE := /var/www/$(ICONPATH)
+TEXPATH     := $(PREFIX)/share/texmf/tex/latex/html
 
 # Location of the source dir
 SRCTOP := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi;)
@@ -46,24 +45,20 @@
 DOCDIR 	       := $(TMPTOP)/usr/share/doc/$(package)
 DOCBASE        := $(TMPTOP)/usr/share/doc-base
 MANDIR         := $(TMPTOP)/usr/share/man/man1
-OLDSHADOWDIR   := $(TMPTOP)/var/www/usr/lib
-SHADOW_DIR     := $(TMPTOP)/var/www/usr/share/$(package)/
-SHADOW_ICONDIR := $(TMPTOP)/var/www/usr/share/$(package)/icons
 
 CONVERT_CMD:= '../latex2html -test_mode -no_math -html_version 4.0,math,frame -accent_images textrm -scalable_fonts'
 all build: stamp-build
 stamp-build:
 	$(checkdir)
-	rm -f texinputs/url.sty
 	cd docs && ln -sf ../texinputs/html*.sty .
 	-test -f stamp-configure || $(MAKE) -f debian/rules configure
 	$(MAKE)
 	mkdir -p docs/manual
 	$(MAKE) -C docs  -f Makefile.frames \
-              L2H=$(CONVERT_CMD) \
+	      L2H=$(CONVERT_CMD) \
 	      LATEX2HTMLDIR=$(SRCTOP) manual.dvi;
 	$(MAKE) -C docs  -f Makefile.frames \
-              L2H=$(CONVERT_CMD) \
+	      L2H=$(CONVERT_CMD) \
 	      LATEX2HTMLDIR=$(SRCTOP) manual.ps;
 	$(MAKE) -C docs  -f Makefile.frames \
               L2H=$(CONVERT_CMD) \
@@ -82,15 +77,15 @@
                     --libdir=$(LIBDIR) \
                     --with-perl=$(PERL) \
                     --with-iconpath=$(ICONPATH) \
-                    --with-iconstorage=$(ICONSTORAGE) \
+		    --with-texpath=$(TEXPATH) \
                      && touch stamp-configure
 
 clean:
 	$(checkdir)
 	rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN) docs/html*.sty
 	rm -rf $(DIRS_TO_CLEAN)
-	-$(MAKE) -C docs clean #htmlclean
-	-$(MAKE) distclean
+	[ ! -f docs/Makefile ] || $(MAKE) -C docs clean #htmlclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o \
 	  -name '*~' -o -name '*.bak' -o -name '#*#' -o \
 	  -name '.*.orig' -o -name '.*.rej' -o -name '.SUMS' -o \
@@ -109,43 +104,40 @@
 	$(make_directory)	$(DOCDIR)/html
 	$(make_directory)       $(MANDIR)
 	$(make_directory)	$(DOCBASE)
-	$(make_directory)       $(SHADOW_ICONDIR)
-	$(make_directory)       $(OLDSHADOWDIR)
 	$(make_directory)	$(TMPTOP)/DEBIAN
 	$(make_directory)	$(TMPTOP)/etc
 	$(install_file)		debian/changelog     $(DOCDIR)/changelog.Debian
-	$(install_file)		debian/README.Debian $(DOCDIR)/README.Debian
 	$(install_file)         debian/buildinfo     $(DOCDIR)/buildinfo.Debian
 	$(MAKE)                 install DESTDIR=$(TMPTOP) INSTALLING_DEBIAN=1
-	(cd $(OLDSHADOWDIR);    ln -s ../share/$(package) .)
 	#(cd $(TMPTOP)/$(LIBDIR)/docs; $(MAKE) clean htmlclean)
 	(cd $(TMPTOP)/$(LIBDIR); \
             mv l2hconf.pm       $(TMPTOP)/etc/latex2html.conf; \
             ln -s               /etc/latex2html.conf l2hconf.pm )
-	(cd $(SHADOW_ICONDIR);  rm -f *)
 	$(install_file)         dot.latex2html-init    $(DOCDIR)/
 	$(install_file)         Changes    	       $(DOCDIR)/
 	$(install_file)         docs/manual.dvi        $(DOCDIR)/
 	$(install_file)         docs/manual.ps         $(DOCDIR)/
-	$(install_file)         README*                $(DOCDIR)/
-##	$(install_file)         latex2html.1           $(MANDIR)
-##	$(install_file)         texexpand.1            $(MANDIR)
+	$(install_file)         debian/README.foilhtml.Debian $(DOCDIR)/
+	$(install_file)         debian/README.Debian $(DOCDIR)/
+	$(install_file)         latex2html.1           $(MANDIR)
+	$(install_file)         texexpand.1            $(MANDIR)
 	pod2man pstoimg         > $(MANDIR)/pstoimg.1
+	rm $(TMPTOP)/$(TEXPATH)/url.sty
 	-gzip -9fvr		$(DOCDIR)
 	-gzip -9fvr		$(MANDIR)
 	(cd $(DOCDIR);          ln -s Changes.gz       changelog.gz;)
 	$(install_file)         debian/copyright       $(DOCDIR)/copyright
+	$(make_directory)	$(TMPTOP)/usr/share/lintian/overrides
+	$(install_file)		debian/source.lintian-overrides $(TMPTOP)/usr/share/lintian/overrides/latex2html
 	(cd docs/manual/;       tar cf - *.html *.png  *.css) | \
                                 (cd $(DOCDIR)/html; tar xf   -)
 	(cd $(TMPTOP)/$(LIBDIR); rm -rf docs;)
-	chmod ugo+x 		$(TMPTOP)/$(LIBDIR)/cweb2html/cweb2html
-	chmod ugo+x 		$(TMPTOP)/$(LIBDIR)/cweb2html/makemake.pl
 	chmod ugo+x 		$(TMPTOP)/$(LIBDIR)/makemap
 	chmod ugo+x 		$(TMPTOP)/$(LIBDIR)/makeseg/makeseg
 #	mkdir -p $(TMPTOP)/usr/share/texmf/tex/latex
 #	cd $(TMPTOP)/usr/share/texmf/tex/latex && \
 #	  ln -s ../../../latex2html/texinputs latex2html
-##	patch $(TMPTOP)/usr/bin/latex2html debian/latex2html.patch
+	patch $(TMPTOP)/usr/bin/latex2html debian/latex2html.patch
 	$(install_file)         debian/docentry        $(DOCBASE)/$(package)
 	$(install_file)		debian/conffiles       $(TMPTOP)/DEBIAN/conffiles
 	$(install_program)      debian/postinst        $(TMPTOP)/DEBIAN/postinst
