## latex2html 2015-debian1

=== debian/changelog ===
latex2html (2015-debian1-1) unstable; urgency=medium

  * New upstream release (Closes: #647433)
    - Version 2015, take from ctan, repackaged according to the procedure
      as documented for 2008
  * Add patch by Hamish <hamish_b@yahoo.com> to 0-pad filenames on
    option -multipage (Closes: #247150)

 -- Roland Stigge <stigge@antcom.de>  Tue, 19 Jan 2016 18:15:05 +0100

latex2html (2008-debian1-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.22: Can't use 'defined(@array)'":
    add patch perl5.22-defined-array.patch:
    drop defined().
    (Closes: #789731)
  * Fix "regexp deprecation warnings with perl 5.22":
    add patch perl5.22-unescaped-left-braces.patch:
    escape literal braces.
    (Closes: #789732)

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2015 15:32:38 +0200

latex2html (2008-debian1-10) unstable; urgency=low

  * Use DEP5 for debian/copyright, adjust license for L2hos/ (Closes: #713855)
    Thanks to Sam Geeraerts

 -- Roland Stigge <stigge@antcom.de>  Tue, 25 Jun 2013 21:35:18 +0200

latex2html (2008-debian1-9) unstable; urgency=low

  * debian/control: Standards-Version: 3.9.4

 -- Roland Stigge <stigge@antcom.de>  Wed, 15 May 2013 21:54:03 +0200

latex2html (2008-debian1-8) experimental; urgency=low

  * debian/control: Move Homepage from Description to own Source field
    (Closes: #700452)

 -- Roland Stigge <stigge@antcom.de>  Sat, 23 Feb 2013 16:03:31 +0100

latex2html (2008-debian1-7) unstable; urgency=low

  * Use dh_installtex instead of texhash (Closes: #669383)

 -- Roland Stigge <stigge@antcom.de>  Thu, 19 Apr 2012 17:15:40 +0200

latex2html (2008-debian1-6) unstable; urgency=low

  * prerm: Check for /var/www/usr/share/latex2html/icons before removing files
    (Closes: #666128)
  * debian/control: Standards-Version: 3.9.3
  * debian/compat: 9
  * debian/rules: dh style rules
  * Added patch to prevent perl warnings about deprecated "defined(%hash)"

 -- Roland Stigge <stigge@antcom.de>  Sun, 08 Apr 2012 13:19:06 +0200
