=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: tex
 Priority: optional
 Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends-Indep: perl, perl-doc, netpbm (>= 2:9.20), texlive-base-bin, ghostscript-x, texlive-latex-recommended, texlive-latex-extra, patch
-Standards-Version: 3.9.1
+Build-Depends-Indep: perl, perl-doc, netpbm (>= 2:9.20), texlive-base-bin, ghostscript-x, texlive-latex-recommended, texlive-latex-extra, patch, debhelper (>= 9), tex-common
+Standards-Version: 3.9.6
+Hompage: http://www.latex2html.org/
 
 Package: latex2html
 Architecture: all
-Depends: perl, netpbm (>= 2:9.20), ghostscript-x, texlive-base-bin, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, perl-doc
+Depends: ${misc:Depends}, perl, netpbm (>= 2:9.20), ghostscript-x, texlive-base-bin, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, perl-doc
 Description: LaTeX to HTML translator
  LaTeX2HTML is a conversion tool that converts documents written
  in LaTeX to HTML format. In addition, it offers an easy migration
@@ -34,5 +35,3 @@
  .
  Pstoimg, the part of latex2html that produces bitmap images from the
  LaTeX source, can support both GIF and PNG format.
- .
-  Hompage: http://www.latex2html.org/
