=== debian/rules ===
#!/usr/bin/make -f

LIBDIR      := /usr/share/latex2html
TEXPATH     := /usr/share/texmf/tex/latex/html
TMPTOP      := $(CURDIR)/debian/latex2html
DOCDIR 	    := $(TMPTOP)/usr/share/doc/latex2html

CONVERT_CMD := '../latex2html -test_mode -no_math -html_version 4.0,math,frame -accent_images textrm -scalable_fonts'

%:
	dh $@ --with tex

override_dh_auto_configure:
	./configure --verbose --prefix=/usr \
	            --shlibdir=$(LIBDIR) \
                    --libdir=$(LIBDIR) \
                    --with-perl=/usr/bin/perl \
                    --with-iconpath=/usr/share/latex2html/icons \
		    --with-texpath=$(TEXPATH)

override_dh_auto_build:
	cd docs && ln -sf ../texinputs/html*.sty .
	$(MAKE)
	mkdir -p docs/manual
	$(MAKE) -C docs -f Makefile.frames L2H=$(CONVERT_CMD) \
	      LATEX2HTMLDIR=$(CURDIR) manual.dvi manual.ps manual.html

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C docs clean
	rm -rf docs/manual

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(TMPTOP) INSTALLING_DEBIAN=1
	(cd $(TMPTOP)/$(LIBDIR); \
            mv l2hconf.pm       $(TMPTOP)/etc/latex2html.conf; \
            ln -s               /etc/latex2html.conf l2hconf.pm )
	pod2man pstoimg         > $(TMPTOP)/usr/share/man/man1/pstoimg.1
	rm $(TMPTOP)/$(TEXPATH)/url.sty
	(cd docs/manual/;       tar cf - *.html *.png  *.css) | \
                                (cd $(DOCDIR)/html; tar xf   -)
	rm -rf $(TMPTOP)/$(LIBDIR)/docs
	patch $(TMPTOP)/usr/bin/latex2html debian/latex2html.patch
	chmod a+x $(TMPTOP)/$(LIBDIR)/makemap
	chmod a+x $(TMPTOP)/$(LIBDIR)/makeseg/makeseg
