## latex2html 2018-debian1

=== debian/changelog ===
latex2html (2018-debian1-1) unstable; urgency=low

  * QA upload.
  * New upstream release
    (Closes: #188024, #834420, #144034, #310702, #612126, #834423, #827187)
  * Removed patches applied upstream, refreshed debian-install.patch
  * Corrected typo in Homepage-Header in debian/control. (Closes: #827285)

 -- Carsten Leonhardt <leo@debian.org>  Thu, 01 Mar 2018 12:36:03 +0100
