=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: latex2html
 Section: tex
 Priority: optional
-Maintainer: Roland Stigge <stigge@antcom.de>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends-Indep: perl, perl-doc, netpbm (>= 2:9.20), texlive-base-bin, ghostscript-x, texlive-latex-recommended, texlive-latex-extra, patch, debhelper (>= 9), tex-common
 Standards-Version: 3.9.6
-Hompage: http://www.latex2html.org/
+Homepage: http://www.latex2html.org/
+Vcs-Browser: https://salsa.debian.org/debian/latex2html
+Vcs-Git: https://salsa.debian.org/debian/latex2html.git
 
 Package: latex2html
 Architecture: all
