=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	dh_auto_clean
 	$(MAKE) -C docs clean
 	rm -rf docs/manual
+	rm -f docs/*.stamp
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(TMPTOP) INSTALLING_DEBIAN=1
@@ -36,7 +37,6 @@
             mv l2hconf.pm       $(TMPTOP)/etc/latex2html.conf; \
             ln -s               /etc/latex2html.conf l2hconf.pm )
 	pod2man pstoimg         > $(TMPTOP)/usr/share/man/man1/pstoimg.1
-	rm $(TMPTOP)/$(TEXPATH)/url.sty
 	(cd docs/manual/;       tar cf - *.html *.png  *.css) | \
                                 (cd $(DOCDIR)/html; tar xf   -)
 	rm -rf $(TMPTOP)/$(LIBDIR)/docs
