=== debian/watch ===
version=3
http://ftp.gwdg.de/pub/ctan/support/latex2html/latex2html-(.*)\.tar\.gz
