## latex2html 2018.2-debian1

=== debian/changelog ===
latex2html (2018.2-debian1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
  * Add patch to fix unescaped left brace in regex. (Closes: #903736)
  * Upstream source location changed to github repository
  * debian/control: Standards-Version: 4.1.3
  * debian/compat: 11

 -- Carsten Leonhardt <leo@debian.org>  Mon, 16 Jul 2018 20:20:32 +0200

latex2html (2018-debian1-3) unstable; urgency=medium

  * QA upload.
  * Better reproducibility by removing variables containing build
    directory location.
  * debian/control: Standards-Version: 4.1.3
  * debian/compat: 10
  * Add Build-Depends and Recommends on dvipng.

 -- Carsten Leonhardt <leo@debian.org>  Mon, 12 Mar 2018 15:14:26 +0100

latex2html (2018-debian1-2) unstable; urgency=low

  * QA upload.
  * Set FORCE_SOURCE_DATE = 1 to make dvips output (partially)
    reproducible
  * debian/doc-base: Fix duplicate word found by lintian and reformat
  * Suppress creation of file latex2html.orig that erroneously went into
    the package
  * Remove external images from manual
  * Use https in debian/watch

 -- Carsten Leonhardt <leo@debian.org>  Fri, 02 Mar 2018 17:13:24 +0100
