=== debian/control ===
--- 
+++ 
@@ -2,20 +2,39 @@
 Section: tex
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends-Indep: perl, perl-doc, netpbm (>= 2:9.20), texlive-base-bin, ghostscript-x, texlive-latex-recommended, texlive-latex-extra, patch, debhelper (>= 9), tex-common
-Standards-Version: 3.9.6
+Build-Depends-Indep: debhelper (>= 11),
+                     dvipng,
+                     ghostscript-x,
+                     netpbm (>= 2:9.20),
+                     patch,
+                     perl,
+                     perl-doc,
+                     tex-common,
+                     texlive-base-bin,
+                     texlive-latex-extra,
+                     texlive-latex-recommended
+Standards-Version: 4.1.5
 Homepage: http://www.latex2html.org/
 Vcs-Browser: https://salsa.debian.org/debian/latex2html
 Vcs-Git: https://salsa.debian.org/debian/latex2html.git
 
 Package: latex2html
 Architecture: all
-Depends: ${misc:Depends}, perl, netpbm (>= 2:9.20), ghostscript-x, texlive-base-bin, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, perl-doc
+Depends: ghostscript-x,
+         netpbm (>= 2:9.20),
+         perl,
+         perl-doc,
+         texlive-base-bin,
+         texlive-fonts-recommended,
+         texlive-latex-extra,
+         texlive-latex-recommended,
+         ${misc:Depends}
+Recommends: dvipng
 Description: LaTeX to HTML translator
  LaTeX2HTML is a conversion tool that converts documents written
  in LaTeX to HTML format. In addition, it offers an easy migration
  path towards authoring complex hypermedia documents using familiar
- word-processing concepts. 
+ word-processing concepts.
  .
  LaTeX2HTML replicates the basic structure of a LaTeX document as a
  set of interconnected HTML files which can be explored using
