=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,12 @@
 DOCDIR 	    := $(TMPTOP)/usr/share/doc/latex2html
 
 CONVERT_CMD := '../latex2html -test_mode -no_math -html_version 4.0,math,frame -accent_images textrm -scalable_fonts'
+
+# see https://tests.reproducible-builds.org/debian/issues/unstable/timestamps_in_ps_generated_by_dvips_issue.html
+export FORCE_SOURCE_DATE := 1
+
+# make debhelper compalt level 11 work
+export PERL5LIB=.
 
 %:
 	dh $@ --with tex
@@ -40,6 +46,13 @@
 	(cd docs/manual/;       tar cf - *.html *.png  *.css) | \
                                 (cd $(DOCDIR)/html; tar xf   -)
 	rm -rf $(TMPTOP)/$(LIBDIR)/docs
-	patch $(TMPTOP)/usr/bin/latex2html debian/latex2html.patch
+	patch --no-backup-if-mismatch $(TMPTOP)/usr/bin/latex2html debian/latex2html.patch
 	chmod a+x $(TMPTOP)/$(LIBDIR)/makemap
 	chmod a+x $(TMPTOP)/$(LIBDIR)/makeseg/makeseg
+	# get srcdir from cfgcache.pm and remove the lines containing it from latex2html for reproducibility
+	# the lines only appear in test_mode, which is disabled by the patch above
+	fgrep -v `fgrep srcdir $(TMPTOP)/$(LIBDIR)/cfgcache.pm | sed "s/.*=.*'\(.*\)'.*/\1/"` $(TMPTOP)/usr/bin/latex2html > $(TMPTOP)/usr/bin/latex2html.reproducible
+	chmod --reference=$(TMPTOP)/usr/bin/latex2html $(TMPTOP)/usr/bin/latex2html.reproducible
+	mv $(TMPTOP)/usr/bin/latex2html.reproducible $(TMPTOP)/usr/bin/latex2html
+	# now remove srcdir from cfgcache.pm too
+	sed -i '/srcdir/d' $(TMPTOP)/$(LIBDIR)/cfgcache.pm
