## latex2html 2018.3-debian1

=== debian/changelog ===
latex2html (2018.3-debian1-3) unstable; urgency=medium

  * Cherry pick fix for broken tables from upstream. (Closes: #899306)
  * Add Gitlab CI tests.
  * Fix spelling errors found by lintian.

 -- Carsten Leonhardt <leo@debian.org>  Thu, 29 Nov 2018 17:33:44 +0100

latex2html (2018.3-debian1-2) unstable; urgency=medium

  * Include PDF version of the manual.
  * Depend on poppler-utils instead of only recommending it.
  * Removed obsolete maintainer scripts.

 -- Carsten Leonhardt <leo@debian.org>  Tue, 25 Sep 2018 14:01:39 +0200

latex2html (2018.3-debian1-1) unstable; urgency=medium

  * Adopt package. (closes: #812631)
  * New upstream release. (Closes: #111441)
  * debian/control: Standards-Version: 4.2.1
  * Recommend and build-depend on poppler-utils to produce SVG-images
    using pdftocairo

 -- Carsten Leonhardt <leo@debian.org>  Mon, 24 Sep 2018 01:05:41 +0200
