=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: latex2html
 Section: tex
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Carsten Leonhardt <leo@debian.org>
 Build-Depends-Indep: debhelper (>= 11),
                      dvipng,
+		     poppler-utils,
                      ghostscript-x,
                      netpbm (>= 2:9.20),
                      patch,
@@ -13,8 +14,8 @@
                      texlive-base-bin,
                      texlive-latex-extra,
                      texlive-latex-recommended
-Standards-Version: 4.1.5
-Homepage: http://www.latex2html.org/
+Standards-Version: 4.2.1
+Homepage: https://www.latex2html.org/
 Vcs-Browser: https://salsa.debian.org/debian/latex2html
 Vcs-Git: https://salsa.debian.org/debian/latex2html.git
 
@@ -24,6 +25,7 @@
          netpbm (>= 2:9.20),
          perl,
          perl-doc,
+         poppler-utils,
          texlive-base-bin,
          texlive-fonts-recommended,
          texlive-latex-extra,
