=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,8 @@
 	cd docs && ln -sf ../texinputs/html*.sty .
 	$(MAKE)
 	mkdir -p docs/manual
-	$(MAKE) -C docs -f Makefile.frames L2H=$(CONVERT_CMD) \
-	      LATEX2HTMLDIR=$(CURDIR) manual.dvi manual.ps manual.html
+	$(MAKE) -C docs -f Makefile L2H=$(CONVERT_CMD) \
+	      LATEX2HTMLDIR=$(CURDIR) manual.dvi manual.ps manual.pdf manual.html
 
 override_dh_auto_clean:
 	dh_auto_clean
